Export a project as OTLP
curl --request POST \
--url https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports \
--header 'Content-Type: application/json' \
--cookie apsio_session= \
--data '
{
"signals": [],
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports"
payload = {
"signals": [],
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
headers = {
"cookie": "apsio_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'apsio_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({signals: [], from: '2023-11-07T05:31:56Z', to: '2023-11-07T05:31:56Z'})
};
fetch('https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signals' => [
],
'from' => '2023-11-07T05:31:56Z',
'to' => '2023-11-07T05:31:56Z'
]),
CURLOPT_COOKIE => "apsio_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports"
payload := strings.NewReader("{\n \"signals\": [],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "apsio_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports")
.header("cookie", "apsio_session=")
.header("Content-Type", "application/json")
.body("{\n \"signals\": [],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'apsio_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"signals\": [],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"project_id": "<string>",
"signals": [
"logs"
],
"from": "<string>",
"to": "<string>",
"status": "queued",
"requested_by": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"counts": {},
"error": "<string>",
"expires_at": "<string>"
}Console API
Export a project as OTLP
Queues an export of the project’s telemetry over [from, to), at most 31 days, as gzipped OTLP/JSON files (one Export*ServiceRequest per line), read within the plan’s retention. Free on every plan. Owners and admins only; one export at a time per organization, a few a day.
POST
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
exports
Export a project as OTLP
curl --request POST \
--url https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports \
--header 'Content-Type: application/json' \
--cookie apsio_session= \
--data '
{
"signals": [],
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports"
payload = {
"signals": [],
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
headers = {
"cookie": "apsio_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'apsio_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({signals: [], from: '2023-11-07T05:31:56Z', to: '2023-11-07T05:31:56Z'})
};
fetch('https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signals' => [
],
'from' => '2023-11-07T05:31:56Z',
'to' => '2023-11-07T05:31:56Z'
]),
CURLOPT_COOKIE => "apsio_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports"
payload := strings.NewReader("{\n \"signals\": [],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "apsio_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports")
.header("cookie", "apsio_session=")
.header("Content-Type", "application/json")
.body("{\n \"signals\": [],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'apsio_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"signals\": [],\n \"from\": \"2023-11-07T05:31:56Z\",\n \"to\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"project_id": "<string>",
"signals": [
"logs"
],
"from": "<string>",
"to": "<string>",
"status": "queued",
"requested_by": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"counts": {},
"error": "<string>",
"expires_at": "<string>"
}Authorizations
The console session, set by /v1/auth/callback (__Host-apsio_session when host-only).
Path Parameters
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"0192f3a4-0000-7000-8000-00000000a001"
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"0192f3a4-0000-7000-8000-00000000a001"
Body
application/json
Response
The queued export
logs (crashes, hangs and events included), traces (spans) or metrics.
Available options:
logs, traces, metrics The range start, inclusive.
The range end, exclusive.
Available options:
queued, running, done, failed Records exported per signal, once done.
Show child attributes
Show child attributes
Why it failed, as a code; null otherwise.
When the files are deleted: 7 days after it is done.